# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.4.0
  hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
    -   id: check-added-large-files
- repo: https://github.com/chriskuehl/puppet-pre-commit-hooks.git
  rev: v2.2.0
  hooks:
    - id: bolt-validate
    - id: epp-validate
    - id: erb-validate
    - id: puppet-lint
      args:
        - --fail-on-warnings
    - id: puppet-validate
    - id: r10k-validate
    - id: ruby-validate
